%global gemname sinatra-rabbit
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Ruby DSL for creating restful applications using Sinatra
Name: rubygem-%{gemname}
Version: 1.0.6
Release: 2%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: https://github.com/mifo/sinatra-rabbit
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(sinatra)
Requires: rubygem(haml)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
BuildRequires: rubygem(sinatra)
BuildRequires: rubygem(haml)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(rack-test)
BuildRequires: rubygem(nokogiri)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description

Sinatra::Rabbit is a Sinatra extensions that makes designing a REST API much
easier and more fun.
Rabbit maps REST resources to 'collections'. Every collection then could define
CRUD and other operations to manipulate with resource. Rabbit will handle
parameter validation and capability checks for you, so you can focus on the
structure and design of your REST API.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

%check
pushd .%{geminstdir}
for test_file in tests/*_test.rb; do
  RUBYOPT="rubygems" testrb -v $test_file
done
popd

%files
%dir %{geminstdir}
%doc %{geminstdir}/LICENSE
%{geminstdir}/lib
%exclude %{geminstdir}/%{gemname}.gemspec
%exclude %{geminstdir}/.yardoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.md
%doc %{geminstdir}/Rakefile
%{geminstdir}/tests


%changelog
* Mon Jun 04 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.6-2
- Added exclude tag before gem_cache
- Removed the ruby dependency

* Mon Jun 04 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.6-1
- Initial import

